#-----------------------------------------------------------------------------
#
# ITKConfig.cmake - ITK CMake configuration file for external projects.
#
# This file is configured by ITK and used by the UseITK.cmake module
# to load ITK's settings for an external project.

# The ITK source tree.
SET(ITK_SOURCE_DIR "/scratch/koshevoy/InsightToolkit-3.0.1-patched")

# The ITK include file directories.
SET(ITK_INCLUDE_DIRS "/scratch/koshevoy/InsightToolkit-3.0.1-patched-static-release;/scratch/koshevoy/InsightToolkit-3.0.1-patched/Code/Algorithms;/scratch/koshevoy/InsightToolkit-3.0.1-patched/Code/BasicFilters;/scratch/koshevoy/InsightToolkit-3.0.1-patched/Code/Common;/scratch/koshevoy/InsightToolkit-3.0.1-patched/Code/Numerics;/scratch/koshevoy/InsightToolkit-3.0.1-patched/Code/IO;/scratch/koshevoy/InsightToolkit-3.0.1-patched/Code/Numerics/FEM;/scratch/koshevoy/InsightToolkit-3.0.1-patched/Code/Numerics/Statistics;/scratch/koshevoy/InsightToolkit-3.0.1-patched/Code/Numerics/NeuralNetworks;/scratch/koshevoy/InsightToolkit-3.0.1-patched/Code/SpatialObject;/scratch/koshevoy/InsightToolkit-3.0.1-patched/Utilities/MetaIO;/scratch/koshevoy/InsightToolkit-3.0.1-patched/Utilities/NrrdIO;/scratch/koshevoy/InsightToolkit-3.0.1-patched/Utilities/DICOMParser;/scratch/koshevoy/InsightToolkit-3.0.1-patched-static-release/Utilities/DICOMParser;/scratch/koshevoy/InsightToolkit-3.0.1-patched-static-release/Utilities/expat;/scratch/koshevoy/InsightToolkit-3.0.1-patched/Utilities/expat;/scratch/koshevoy/InsightToolkit-3.0.1-patched/Utilities/nifti/niftilib;/scratch/koshevoy/InsightToolkit-3.0.1-patched/Utilities/nifti/znzlib;/scratch/koshevoy/InsightToolkit-3.0.1-patched/Utilities/itkExtHdrs;/scratch/koshevoy/InsightToolkit-3.0.1-patched-static-release/Utilities;/scratch/koshevoy/InsightToolkit-3.0.1-patched/Utilities;/scratch/koshevoy/InsightToolkit-3.0.1-patched-static-release/Code/Common;/scratch/koshevoy/InsightToolkit-3.0.1-patched/Utilities/vxl/vcl;/scratch/koshevoy/InsightToolkit-3.0.1-patched/Utilities/vxl/core;/scratch/koshevoy/InsightToolkit-3.0.1-patched-static-release/Utilities/vxl/vcl;/scratch/koshevoy/InsightToolkit-3.0.1-patched-static-release/Utilities/vxl/core;/scratch/koshevoy/InsightToolkit-3.0.1-patched-static-release/Utilities/gdcm;/scratch/koshevoy/InsightToolkit-3.0.1-patched/Utilities/gdcm/src")

# The ITK library directories.
SET(ITK_LIBRARY_DIRS "/scratch/koshevoy/InsightToolkit-3.0.1-patched-static-release/bin")

# The C and C++ flags added by ITK to the cmake-configured flags.
SET(ITK_REQUIRED_C_FLAGS " -no-cpp-precomp")
SET(ITK_REQUIRED_CXX_FLAGS " -ftemplate-depth-50 -no-cpp-precomp -Wno-long-double")
SET(ITK_REQUIRED_LINK_FLAGS "")

# The ITK version number
SET(ITK_VERSION_MAJOR "3")
SET(ITK_VERSION_MINOR "0")
SET(ITK_VERSION_PATCH "1")

# The location of the UseITK.cmake file.
SET(ITK_USE_FILE "/scratch/koshevoy/InsightToolkit-3.0.1-patched-static-release/UseITK.cmake")

# The build settings file.
SET(ITK_BUILD_SETTINGS_FILE "/scratch/koshevoy/InsightToolkit-3.0.1-patched-static-release/ITKBuildSettings.cmake")

# Whether ITK was built with shared libraries.
SET(ITK_BUILD_SHARED "OFF")

# Whether ITK was built with Tcl wrapping support.
SET(ITK_CSWIG_TCL "OFF")
SET(ITK_CSWIG_PYTHON "OFF")
SET(ITK_CSWIG_JAVA "OFF")

# Path to CableSwig configuration used by ITK.
SET(ITK_CableSwig_DIR "")

# A list of all libraries for ITK.  Those listed here should
# automatically pull in their dependencies.
SET(ITK_LIBRARIES ITKAlgorithms ITKStatistics ITKFEM)

# The ITK library dependencies.
IF(NOT ITK_NO_LIBRARY_DEPENDS AND
    EXISTS "/scratch/koshevoy/InsightToolkit-3.0.1-patched-static-release/ITKLibraryDepends.cmake")
  INCLUDE("/scratch/koshevoy/InsightToolkit-3.0.1-patched-static-release/ITKLibraryDepends.cmake")
ENDIF(NOT ITK_NO_LIBRARY_DEPENDS AND
  EXISTS "/scratch/koshevoy/InsightToolkit-3.0.1-patched-static-release/ITKLibraryDepends.cmake")

# Whether ITK was built using a system VXL or system gdcm
SET(ITK_USE_SYSTEM_VXL "OFF")
SET(ITK_USE_SYSTEM_GDCM "OFF")

# The VXL_DIR setting used to build ITK.  Set if ITK_USE_SYSTEM_VXL is true.
# same for gdcm
SET(ITK_VXL_DIR "")
SET(ITK_GDCM_DIR "")
